(function (Drupal, once) {

  "use strict";

  Drupal.behaviors.navigationLocalTasks = {
    attach: function (context, settings) {
      document.documentElement.addEventListener('toggle-admin-toolbar', function(e) {
        const elements = document.querySelectorAll('.navigation-local-tasks-actions a.toolbar-button');
        let state = e.detail.state ? 'top' : 'right';
        elements.forEach(function(elem) {
          elem.setAttribute('data-drupal-tooltip-position', state);
        });
      });
    }
  }

})(Drupal, once);
